/* Friday 9 February, 2024*/

/* Font Import */
@import url('https://fonts.googleapis.com/css2?family=Kdam+Thmor+Pro&family=Poppins:ital,wght@0,300;0,600;1,300&family=Roboto&display=swap');

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

/* Custom Properties */
:root {
  --clr-white: hsl(0, 0%, 100%);
  --clr-shellWhite: hsl(0, 22%, 90%);
  --clr-steel: hsl(207, 44%, 49%);
  --clr-bgDark: hsl(0, 0%, 0%);
  --clr-bgGrey: hsl(0, 0%, 50%);
  --clr-bgBlue: hsla(197, 84%, 22%, 0.924);
  --clr-dkRed: darkred;
  --clr-midGrey: hsl(0, 4%, 44%);
  --clr-fadedGrey: hsl(0, 0%, 60%);
  --clr-ltgreen: hsl(173, 37%, 64%);
  --clr-orange: hsl(16, 78%, 46%);
  --clr-orangeRed: hsl(16, 100%, 50%);
  --clr-red: hsl(0, 100%, 50%);
  --clr-ltBlue: rgb(189, 227, 239);

  /* background-image */
  --clr-linearBlue: linear-gradient(hsl(240, 100%, 27%), hsl(196, 37%, 37%));
  --clr-linearInverseBlue: linear-gradient(
    hsl(192, 80%, 16%),
    hsl(240, 100%, 27%)
  );
  --clr-linearDarkBlue: linear-gradient(hsl(240, 100%, 50%), hsl(0, 0%, 10%));
  --clr-linearGrey: linear-gradient(#353232, hsl(0, 0%, 50%));
  /************************/
  --border-radius-4: 4px;
  --border-radius-8: 8px;
  --border-radius-10: 10px;
  --border-radius-100: 100px;
  --box-shad: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  --box-shad2: 0 1px 10px rgba(0, 0, 0, 0.4);
  --fw-900: 900;
  --transition250: 250ms ease-in;
  --transition500: 500ms ease-in;
}

/*** General ***/
body {
  font-family: 'Poppins', sans-serif;
  background-color: hsl(0, 0%, 98%);
}
ul {
  list-style: none;
}
a {
  text-decoration: none;
}
img {
  max-width: 100%;
  display: block;
}

h1,
h2,
h3,
h4 {
  margin: 0;
}

/************/
/* .container {
  width: min(900px, 90%);
  margin: 0 auto;
  padding: 2em;
} */
/************/
.container {
  width: min(900px, 90%);
  margin: 0 auto;
}
body {
  /* height: 100vh; */
  display: flex;
  flex-direction: column;
  color: var(--clr-bgDark);
  line-height: 1.5;
}

/* Typography */
.section__title {
  font-size: clamp(3rem, 10vw, 5rem);
  text-transform: capitalize;
  text-align: center;
}
.logo__title {
  color: var(--clr-bgDark);
  font-weight: 100;
  font-size: clamp(1.25rem, 2vw, 2rem);
}
.job-title {
  color: var(--clr-midGrey);
  font-size: clamp(2rem, 10vw, 3rem);
  text-align: center;
}
.text {
  padding: 0.25em;
  text-align: center;
}

/****** Navigation ******/
.header {
  border-bottom: 1px solid var(--clr-midGrey);
  padding: 0.75em 0;
  /* background-color: rgb(5, 178, 252); */
  background-color: hsl(0, 0%, 98%);
}
.links {
  margin-top: 1em;
  height: 0;
  overflow: hidden;
  transition: var(--transition500);
}
/* Show links */
.show-links {
  height: 10em;
}
.lists {
  padding: 1em 0;
}
.links li a {
  display: block;
  /* color: var(--clr-bgDark); */
  color: var(--clr-bgDark);
  text-transform: capitalize;
  font-size: 0.8rem;
  letter-spacing: 3px;
  font-weight: 600;
  transition: var(--transition250);
}
.logo__container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.logo {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
/* .img__logo {
  width: 40px;
  height: 40px;
} */

/***** Main ******/
.main {
  margin-top: 0.5em;
  flex: 1;
  padding: 2em 0em;
}
.about__section {
  border-bottom: 1px solid black;
}
.about__section {
  padding: 5em 0;
}

.projects__section {
  padding: 5em 0;
}
.projects {
  display: flex;
  flex-direction: column;
  gap: 0.75em;
}
.projects__col {
  background-color: hsl(0, 0%, 98%);
  box-shadow: var(--box-shad);
  border-radius: var(--border-radius-10);
  padding-bottom: 1.5em;
  text-align: center;
  flex-basis: 300px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  gap: 1em;
}
.project-heading {
  font-weight: 200;
  display: block;
  width: 100%;
  background-color: var(--clr-dkRed);
  /* background-color: #cde1ee; */
  color: var(--clr-shellWhite);
  border-radius: 8px 8px 0 0;
  font-size: clamp(0.85rem, 2vw, 1.1rem);
  padding: 1em;
}
.project-heading h2 {
  font-weight: 200;
  font-size: 1.25rem;
  height: 50px;
}
.project-paragraph {
  padding: 0 1em;
  font-size: 0.975em;
}

/*** Buttons ***/
.btn-menu {
  display: inline-block;
  cursor: pointer;
  background-color: transparent;
  text-transform: capitalize;
  border: none;
  font-size: 1rem;
  text-decoration: underline;
  transition: var(--transition250);
  color: var(--clr-bgDark);
}
.btn-project {
  cursor: pointer;
  max-width: 150px;
  background-color: var(--clr-white);
  color: var(--clr-bgDark);
  padding: 1em 1.25em;
  border-radius: var(--border-radius-100);
  border: 1px solid var(--clr-bgBlue);
  text-transform: uppercase;
  font-size: 0.7rem;
  font-weight: 600;
  transition: var(--transition250);
}
.btn-project-container {
  margin-top: 0;
  display: flex;
  gap: 0.5em;
}
/* Hover-states */
.btn-project:hover {
  background-color: var(--clr-ltBlue);
}
.btn-menu:hover {
  color: var(--clr-midGrey);
  transform: scale(1.1);
}
.links li a:hover {
  text-decoration: underline;
}

/*** Footer ***/
.footer {
  position: relative;
  border-top: 1px solid var(--clr-midGrey);
  color: var(--clr-bgDark);
  padding: 1em 0;
  min-height: 150px;
  /* background-color: var(--clr-dkRed); */
}
/* Footer Typography */
.footer__title {
  color: var(--clr-bgDark);
  font-weight: 100;
}
.copyright {
  position: absolute;
  bottom: 10px;
  font-size: 0.6rem;
}
.footer__span {
  color: var(--clr-orangeRed);
}
.social-title-container {
  display: flex;
  flex-direction: column;
  gap: 1em;
  margin-bottom: 1em;
}
.social {
  display: flex;
  gap: 0.5em;
  font-size: 2em;
  cursor: pointer;
  color: var(--clr-shellWhite);
}
.social a {
  color: var(--clr-bgDark);
  transition: var(--transition250);
}
.social a:hover {
  color: var(--clr-midGrey);
}

/******* Video Styles *******/
/* .video-real {
  width: 100%;
  height: auto;

}
.video-body {
  background-color: gray;
}
.video-container {
  width: 100%;

  height: auto;
  box-shadow: var(--box-shad);
  border-radius: 8px;
  margin-top: 3em;
}
.main-video {
  max-width: 100%;
  border-radius: 0 0 8px 8px;
} */

/* Video Typography */
/* .video-title {
  font-weight: 200;
  display: block;
  width: 100%;
  padding: 0.25em 1.5em;
  background-color: darkred;
  color: var(--clr-shellWhite);
  border-radius: 8px 8px 0 0;
  font-size: clamp(0.85rem, 2vw, 1.1rem);
  padding-left: 0 2.5em;
}
.video-paragraph {
  box-shadow: var(--box-shad);
  font-size: clamp(0.85rem, 2vw, 1.1rem);
  border-radius: 0 0 8px 8px;
  padding: 0.5em 1.5em;
} */
/***** End Video Styles *****/

/*** Media Queries ***/
@media (min-width: 768px) {
  /* Main */
  .main {
    margin-top: 1em;
  }
  .projects {
    flex-direction: row;
  }

  /* Navigación */
  .nav {
    display: flex;
    align-items: center;
  }
  .links {
    margin-left: auto;
    display: flex;
    height: auto;
  }
  .lists {
    margin-right: 1em;
    padding: 0;
  }

  /* Typography */
  .section__title {
    text-align: left;
  }
  .job-title {
    text-align: left;
  }
  .text {
    width: 70%;
    margin: auto;
  }
  .logo {
    margin-bottom: 0em;
  }

  /* Buttons */
  .btn-menu {
    display: none;
  }
  .btn-container {
    margin-top: 1em;
  }

  /* Footer */
  .social-title-container {
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
  }
}
